com.ibm.openpages.api.respview

## Enum DateRangeType

- java.lang.Object
- - java.lang.Enum<DateRangeType>
  - - com.ibm.openpages.api.respview.DateRangeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DateRangeType>

      public enum DateRangeType
      extends java.lang.Enum<DateRangeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `allTime` include all values from the first to the most recent
    `oneMonth`
    `sixMonth`
    `staticRange` If selected, must provide app properties of 'startDate' and 'endDate'.
    `threeMonth`
    `twelveMonth`
    `twentyfourMonth`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DateRangeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateRangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### staticRange

          public static final DateRangeType staticRange

      If selected, must provide app properties of 'startDate' and 'endDate'. If no dates are provided, default to 'allTime' behavior.

    - #### allTime

          public static final DateRangeType allTime

      include all values from the first to the most recent

    - #### oneMonth

          public static final DateRangeType oneMonth

    - #### threeMonth

          public static final DateRangeType threeMonth

    - #### sixMonth

          public static final DateRangeType sixMonth

    - #### twelveMonth

          public static final DateRangeType twelveMonth

    - #### twentyfourMonth

          public static final DateRangeType twentyfourMonth

  - ### Method Detail

    - #### values

          public static DateRangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateRangeType c : DateRangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateRangeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.